Get form
One form with its fields in order: label, type, required and instructions.
GET https://cotlet.dev/api/v1/123formbuilder/forms/{form_id}
read
Opens the form in the Form Editor and returns its fields from top to bottom with their label, field type as named in the Fields panel, whether they are required and the text in the Instructions box. Use the labels with update_submission and add_form_field.
Parameters
| Name | Type | Description |
|---|---|---|
| form_id integer required | integer | Form id from list_forms. |
Request
curl https://cotlet.dev/api/v1/123formbuilder/forms/1 \
-H "Authorization: Bearer $COTLET_API_KEY" result = client.call("123formbuilder", "get_form", {"form_id":1}) const result = await cotlet.call('123formbuilder', 'get_form', {"form_id":1}); cotlet call 123formbuilder get_form --data '{"form_id":1}' Example response
{
"form_id": 5128977,
"name": "Spring open day",
"fields": [
{
"label": "Full name",
"type": "Name",
"required": true,
"instructions": ""
},
{
"label": "Email",
"type": "Email",
"required": true,
"instructions": "We send the confirmation here"
},
{
"label": "Phone",
"type": "Phone",
"required": false,
"instructions": ""
}
]
}